> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get all versions of an environment template GET https://api.contentful.com/organizations/{organization_id}/environment_templates/{template_id}/versions This action returns all the versions of an environment template. The versions are ordered by version number descending. Reference: https://contentful.com/developers/docs/references/content-management-api/content-model-templates/get-all-versions-of-an-environment-template ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `organization_id` (string, required) — The ID of the organization. Alphanumerical. - `template_id` (string, required) — The ID of the template. Alphanumerical. ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json { "items": [ { "description": "My Template", "entities": { "contentTypeTemplates": [ { "description": "A blogpost content type", "displayField": "title", "fields": [ { "id": "title", "name": "title", "type": "Text" } ], "id": "blogpost", "name": "Blogpost" } ], "editorInterfaceTemplates": [ { "contentTypeTemplate": { "sys": { "id": "blogpost", "linkType": "ContentTypeTemplate", "type": "Link" } }, "controls": [ { "fieldId": "title", "settings": { "helpText": "help text" }, "widgetId": "urlEditor", "widgetNamespace": "builtin" } ] } ] }, "name": "my-template", "sys": { "createdAt": "2025-10-18T01:03:45.000Z", "createdBy": { "sys": { "id": "75cxRYbSLlWMlCrN1tZGdP", "linkType": "User", "type": "Link" } }, "id": "2nZrYQn7N7xijNAOhkKUrH", "organization": { "sys": { "id": "75gbeC7tWNTERE55diMpCN", "linkType": "Organization", "type": "Link" } }, "type": "EnvironmentTemplate", "updatedAt": "2025-10-18T01:03:45.000Z", "updatedBy": { "sys": { "id": "75cxRYbSLlWMlCrN1tZGdP", "linkType": "User", "type": "Link" } }, "version": "1" }, "versionDescription": "First Version", "versionName": "First Version" } ], "limit": 100, "pages": {}, "sys": { "type": "Array" } } ``` **SDK Code** ```android Android SDK currently doesn't implement this endpoint. ``` ```java Java SDK currently doesn't implement this endpoint. ``` ```kotlin Kotlin SDK currently doesn't implement this endpoint. ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) SDK currently doesn't implement this endpoint. ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) const environmentTemplates = await client.environmentTemplate.versions({ organizationId: '', environmentTemplateId: '', }); ``` ```php PHP SDK currently doesn't implement this endpoint. ``` ```ruby Ruby SDK currently doesn't implement this endpoint. ``` ```python Python SDK currently doesn't implement this endpoint. ``` ```.net .NET SDK currently doesn't implement this endpoint. ```